Documentation menu

Project Environment Agent Provider Settings

5 operations.

List environment provider settings

GET/api/v1/projects/{projectId}/environments/{environmentId}/agents/{agentId}/provider-settings

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to List environment provider settings.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to List environment provider settings.
agentIdstringrequiredIdentifies the Project Agent being addressed. Applies to List environment provider settings.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Create an environment provider setting

POST/api/v1/projects/{projectId}/environments/{environmentId}/agents/{agentId}/provider-settings

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Create an environment provider setting.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Create an environment provider setting.
agentIdstringrequiredIdentifies the Project Agent being addressed. Applies to Create an environment provider setting.

Request body

required — Request body for: Create an environment provider setting.

application/json

NameTypeRequiredDescription
providerone of 2 typesoptional
modelone of 2 typesoptional
settingsobjectoptional
providerCredentialIdone of 2 typesoptional
providerCredentialVersionone of 2 typesoptional

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Get an environment provider setting

GET/api/v1/projects/{projectId}/environments/{environmentId}/agents/{agentId}/provider-settings/{settingId}

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Get an environment provider setting.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Get an environment provider setting.
agentIdstringrequiredIdentifies the Project Agent being addressed. Applies to Get an environment provider setting.
settingIdintegerrequiredIdentifies the Environment provider setting being addressed. Applies to Get an environment provider setting.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Update an environment provider setting

PATCH/api/v1/projects/{projectId}/environments/{environmentId}/agents/{agentId}/provider-settings/{settingId}

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Update an environment provider setting.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Update an environment provider setting.
agentIdstringrequiredIdentifies the Project Agent being addressed. Applies to Update an environment provider setting.
settingIdintegerrequiredIdentifies the Environment provider setting being addressed. Applies to Update an environment provider setting.

Request body

required — Request body for: Update an environment provider setting.

application/json

NameTypeRequiredDescription
providerone of 2 typesoptional
modelone of 2 typesoptional
settingsobjectoptional
providerCredentialIdone of 2 typesoptional
providerCredentialVersionone of 2 typesoptional

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object

Delete an environment provider setting

DELETE/api/v1/projects/{projectId}/environments/{environmentId}/agents/{agentId}/provider-settings/{settingId}

Parameters

path

NameTypeRequiredDescription
projectIdstringrequiredIdentifies the Project that owns the addressed resource. Applies to Delete an environment provider setting.
environmentIdstringrequiredIdentifies the Project environment addressed by the operation. Applies to Delete an environment provider setting.
agentIdstringrequiredIdentifies the Project Agent being addressed. Applies to Delete an environment provider setting.
settingIdintegerrequiredIdentifies the Environment provider setting being addressed. Applies to Delete an environment provider setting.

Responses

StatusDescriptionBody
200Response for status 200
application/json
object
  • data (required): object
400The request is malformed or cannot be processed.
application/json
PublicApiError
  • error (required): object
401Authentication failed. Possible reasons: - Authorization header is not provided - Invalid API key - Session expired
application/json
PublicApiError
  • error (required): object
403Access denied. The authenticated user does not have permission to perform this action.
application/json
PublicApiError
  • error (required): object
404Resource not found.
application/json
PublicApiError
  • error (required): object
409Request conflicts with current state of the resource, including safe deployment conflict classifications.
application/json
PublicApiError
  • error (required): object
422Request validation failed. Check the request body, query parameters, or path parameters.
application/json
PublicApiError
  • error (required): object
500The server could not complete the request.
application/json
PublicApiError
  • error (required): object